%define pname     tvonscreen
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        1.0.141
Release:        20
Summary:        Shows the EPG data in the typical way a TV magazine does

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.js-home.org/
Source0:        vdr-tvonscreen-1.0.141.tar.gz
Source200:      %{name}.runvdr
Patch0:		vdr-plugin-tvonscreen_1.0.141-18.diff.gz
Patch1:         tvonscreen-1.0.141-i18n-1.6.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
This plugins shows the EPG data in the typical way a TV magazine
does. The channels are shown from left to right, 3 on one screen.

You can scroll though the channels and the time, create timers,
show details, search for events and add vdradmin auto timers.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
patch -i debian/patches/01_Makefile-fPIC-fix.dpatch
patch -i debian/patches/02_tvonscreen-1.0-fixes.dpatch
patch -i debian/patches/90_tvonscreen-1.0.141-1.5.3.dpatch
%patch1 -p1

sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
make i18n LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/tvonscreen

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable tvonscreen >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable tvonscreen >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale/
%config(noreplace) %{_sysconfdir}/runvdr/tvonscreen

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.141-20
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.141-19
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.141-18
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.141-17
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.141-16
- added i18n patch
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.141-15
- rebuild against vdr-1.6.0-3
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.141-14
- rebuild against vdr 1.6.0
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.141-13
- rebuild against vdr 1.5.18
* Sun Jan 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.141-12
- rebuild against vdr 1.5.13
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 1.0.141-11
- rebuild against latest vdr package
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-10
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-9
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-8
- rebuild against latest vdr package
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-7
- rebuild against latest vdr package
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-6
- rebuild against latest vdr package
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-5
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-4
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-3
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-2
- rebuild against latest vdr package
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.141-1
- Initial release